
QGIS Application - Bug report #17315

3D Viewer: QGIS Crash when activating 3D Map view and 3D renderer

2017-10-22 08:14 AM - Luca Casagrande

Status: Feedback

Priority: High

Assignee:

Category: 3D

Affected QGIS version:master Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 25213

Description

QGIS cc96f51e62 Installed with OSGeo4W64

    -  Load test data (but any other data didn't work for me)

    -  Start the New 3D Map View

    -  Enable 3D renderer in the Layer Styling Panel

The crash report window will open without any contents.

QGIS Main window does not respond.

Related issues:

Related to QGIS Application - Bug report # 17416: Crash on enabling 3D render... Open 2017-11-07

Related to QGIS Application - Bug report # 20744: 3D Viewer Crashes QGIS Ever... Open 2018-12-06

Duplicated by QGIS Application - Bug report # 17788: QGIS 2.99 - crash when a... Closed 2018-01-04

Duplicated by QGIS Application - Bug report # 17952: QGIS 2.99 crashes using ... Closed 2018-01-24

Duplicated by QGIS Application - Bug report # 18272: QGIS 3.0.0 crashed when ... Closed 2018-02-28

Duplicated by QGIS Application - Bug report # 19223: New 3D Map menu crashes ... Closed 2018-06-19

Duplicated by QGIS Application - Bug report # 19890: Crashes in 3D view while... Closed 2018-09-19

Duplicated by QGIS Application - Bug report # 19665: QGIS 3.2.1 and 3.2.2 - c... Closed 2018-08-21

History

#1 - 2017-11-07 09:15 PM - Anita Graser

- Related to Bug report #17416: Crash on enabling 3D renderer for point layer added

#2 - 2017-11-22 05:30 PM - Martin Dobias

Unfortunately I can't reproduce (on linux).

Could you try again if the crash dialog does not give you more information? I think there were some improvements to it recently.

If you just open 3D map view, that works? E.g. move map, zoom in/out?

Does it crash only if you try to enable 3D renderer for polygon data - or also for point/line data?

What is your graphics card by the way?

#3 - 2017-11-24 02:01 PM - Giovanni Manghi

- Status changed from Open to Feedback
#4 - 2017-12-22 04:55 PM - Felix Kunde

I think, my issue fits here. I'm trying to render a 3d house coming from PostGIS/DB Manager. I'm using simply: SELECT 'POLYHEDRALSURFACE

(((...)))::geometry' to create a layer (with or without Z). I can open the 3D view and navigate around, but my building is just flat. When I enable 3D rendering

in the layer style settings, QGIS crashes.

Neither my own example (a house in CRS 28992) nor the simple examples from the PostGIS doc work. I'm using a very recent version of OGIS 2.99 on

Win7. My stack trace looks like this (is it normal that there is no text behind the the double colons?):

Crash ID: 333c69e019367dd5f184c7bbd0fa4413b2e5b0f9

Stack Trace

RegisterProcTableCallback :

RegisterProcTableCallback :

RegisterProcTableCallback :

RegisterProcTableCallback :

RegisterProcTableCallback :

RegisterProcTableCallback :

Qt3DRender::Render::Renderer::performDraw :

Qt3DRender::Render::Renderer::executeCommandsSubmission :

Qt3DRender::Render::Renderer::submitRenderViews :

Qt3DRender::Render::Renderer::doRender :

Qt3DRender::Render::Renderer::render :

Qt3DRender::Render::NodeManagers::renderTargetManager :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 2.99.0-Master

QGIS code revision: commit:b59bd94e87

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

#5 - 2018-01-08 05:05 PM - Martin Dobias

- Duplicated by Bug report #17788: QGIS 2.99 - crash when applying extrusion symbology to 3d view added

#6 - 2018-01-26 02:14 PM - Martin Dobias

- Duplicated by Bug report #17952: QGIS 2.99 crashes using 3D view (PostGIS generated polyhedral cube) added

#7 - 2018-02-22 01:52 PM - Giovanni Manghi

- Status changed from Feedback to Open

- Priority changed from Normal to High
Spoke with Martin Dobias, issue true but possibly related to graphic card/drivers.

#8 - 2018-04-18 02:55 PM - Umberto Minora

This now seems to work with version 3.0.1-Girona. At least, upgrading to this version solved the problem I reported in #17788. Hope this helps you guys

resolving this BUG Report.

#9 - 2018-06-13 11:29 AM - Martin Dobias

- Duplicated by Bug report #18272: QGIS 3.0.0 crashed when clicked on zoom to extent in 3D viewer added

#10 - 2018-06-21 01:15 AM - Martin Dobias

- Duplicated by Bug report #19223: New 3D Map menu crashes frequently added

#11 - 2018-11-06 01:48 AM - Martin Dobias

- Duplicated by Bug report #19890: Crashes in 3D view while changing the view angle added

#12 - 2018-11-06 01:51 AM - Martin Dobias

- Duplicated by Bug report #19665: QGIS 3.2.1 and 3.2.2 - crashing while 3D rendering added

#13 - 2018-11-08 01:28 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#14 - 2018-12-05 07:30 PM - Kevin Garcia

In 3D map view, crashed while trying to change from overhead to an oblique-angle view. This happens every time I use the 3D renderer and change the

view angle.

Crash ID: 4204a1ddb6dd872a885fd5204602826f03b7a5f8

Stack Trace

DrvGetLayerPaletteEntries :

DrvGetLayerPaletteEntries :

DrvGetLayerPaletteEntries :

DrvGetLayerPaletteEntries :

DrvGetLayerPaletteEntries :

DrvGetLayerPaletteEntries :

Qt3DRender::Render::Renderer::performDraw :

Qt3DRender::Render::Renderer::executeCommandsSubmission :

Qt3DRender::Render::Renderer::submitRenderViews :

Qt3DRender::Render::Renderer::doRender :

Qt3DRender::Render::Renderer::render :

Qt3DRender::Render::AbstractRenderer::~AbstractRenderer :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :
QGIS Info

QGIS Version: 3.4.2-Madeira

QGIS code revision: commit:22034aa070

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

#15 - 2018-12-06 09:44 AM - Giovanni Manghi

Kevin Garcia wrote:

In 3D map view, crashed while trying to change from overhead to an oblique-angle view. This happens every time I use the 3D renderer and change

the view angle.

file this as a separate ticket, thanks.

#16 - 2018-12-07 10:07 AM - Jürgen Fischer

- Related to Bug report #20744: 3D Viewer Crashes QGIS Every Time I Change the View Angle added

#17 - 2019-03-09 04:28 PM - Giovanni Manghi

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.

Files

test3d.zip 6.47 KB 2017-10-22 Luca Casagrande

2024-03-13 4/4


